const config = {
  mode: "jit",
  purge: ["./web_src/**/*.{html,js,svelte,ts}"],
  theme: {
    extend: {},
  },
  plugins: [
    require('daisyui'),
  ],




  daisyui: {
    themes: [
      {
        'hackathon': {
          'primary': '#9BA77A',
          'primary-focus': '#5E6536',
          'primary-content': '#EAE7E4',
          'secondary': '#A8351E',
          'secondary-focus': '#703529',
          'secondary-content': '#EAE7E4',
          'accent': '#283D70',
          'accent-focus': '#2E3546',
          'accent-content': '#EAE7E4',
          'neutral': '#1F1B12',
          'neutral-focus': '#4F4630',
          'neutral-content': '#EAE7E4',
          'base-100': '#EBDCB3',
          'base-200': '#E0C98A',
          'base-300': '#B89876',
          'base-content': '#3F270E',
          'info': '#2094f3',
          'success': '#009485',
          'warning': '#ff9900',
          'error': '#ff5724',
        },
      },
    ],
  },

  // daisyui: {
  //   themes: [
  //     {
  //       'hackathon': {
  //         'primary': '#8B4D96',
  //         'primary-focus': '#702860',
  //         'primary-content': '#EAE7E4',

  //         'neutral': '#972812',
  //         'neutral-focus': '#A8351E',
  //         'neutral-content': '#EAE7E4',

  //         'neutral': '#1F1B12',
  //         'neutral-focus': '#221F17',
  //         'neutral-content': '#EAE7E4',

  //         'secondary': '#283D70',
  //         'secondary-focus': '#2E3546',
  //         'secondary-content': '#EAE7E4',

  //         'base-100': '#967E74',
  //         'base-200': '#E4E0D2',
  //         'base-300': '#B98976',
  //         'base-content': '#D1AA59',

  //         'info': '#2094f3',
  //         'success': '#009485',
  //         'warning': '#ff9900',
  //         'error': '#ff5724',
  //       },
  //     },
  //   ],
  // }
};

module.exports = config;
